/[escript]/trunk/pyvisi_old/README
ViewVC logotype

Contents of /trunk/pyvisi_old/README

Parent Directory Parent Directory | Revision Log Revision Log


Revision 786 - (show annotations)
Tue Jul 25 04:58:05 2006 UTC (13 years, 1 month ago) by gross
File size: 2432 byte(s)
switched off pyvisi
1 $Id: README,v 1.4 2005/03/22 06:28:56 paultcochrane Exp $
2 ===============
3 pyvisi
4 ===============
5
6
7 --------------------------------------------------------------------
8 Summary
9 --------------------------------------------------------------------
10
11 Pyvisi is the Python visualisation interface: a generic Python-based interface
12 to many different scientific visualisation packages.
13
14 See http://pyvisi.sourceforge.net
15
16
17 --------------------------------------------------------------------
18 Installation
19 --------------------------------------------------------------------
20
21 Pyvisi is just a python module ... treat it as any other module
22
23 * Global Instalation
24
25 As root use
26
27 > python setup.py install
28
29 This will install the files, in the appropriate place for
30 your python distribution. This will be something like
31 e.g. /usr/lib/python2.3/site-packages/
32
33 * Local instalation:
34
35 You can supply the base directory using
36
37 > python setup.py install --home=<dir>
38
39 which will install the files in
40
41 <dir>/lib/python/
42
43 for more help and options use
44 > python setup.py install --help
45
46 also see http://www.python.org/doc/current/inst/ for more details on
47 using the distutils package
48
49
50 --------------------------------------------------------------------
51 Dependencies
52 --------------------------------------------------------------------
53
54 * Numeric package
55
56 Pyvisi does some computation, and to be able to do this requires the
57 Numeric python package. You can get this from
58 http://sourceforge.net/projects/numpy
59
60 Pyvisi depends upon the relevant renderer module's application and/or python
61 wrappers to be installed so that the renderer module can be used. At
62 present, the vtk and gnuplot renderer modules are being developed.
63
64 * Gnuplot renderer module
65
66 You must have gnuplot installed (version 4.0 or above). You can get
67 gnuplot from http://www.gnuplot.info.
68 Note that gnuplot version 3 is no longer supported by pyvisi.
69
70 You must have the Gnuplot.py (version 1.7 or greater) python wrapper for
71 gnuplot. You can get this from http://gnuplot-py.sourceforge.net/.
72
73 * VTK renderer module
74
75 You must have vtk version 4.2 or above installed. You can get vtk from
76 http://www.vtk.org.
77 Note that when you install vtk, that you must install the python wrappers
78 as well (this is explained in the vtk installation information.)
79

  ViewVC Help
Powered by ViewVC 1.1.26